{% extends 'core/base.html' %}
{% load static %}
{% load services_extras %}
{% block title %}{{inscription.student}} en {{inscription.course}}{% endblock %}
{% block content %}
{% include 'services/includes/posts_menu.html' %}
<main role="main">
  <div class="container">
    <div class="row mt-3 mb-5">
      <div class="col-md-9 mx-auto">
        <h2 class="section-heading mb-4">{{inscription.student.first_name}} {{inscription.student.last_name}} en {{inscription.course}}</h2>
        <div class="row">
          <div class="col-md-6">
            <strong>{{inscription.student.first_name}} {{inscription.student.last_name}}</strong><br>
            <strong>{{inscription.course}}</strong><br>
            <strong>Mid term Exam: {{inscription.midTerm}}</strong><br>
            <strong>Final Exam: {{inscription.finalExam}}</strong><br>
            <strong>Final Grade: {{inscription.finalGrade}}</strong><br>
          </div>
        </div>
        <i>Inscrito: {{inscription.created}}</i><br>
        <i>Editado: {{inscription.updated}}</i>
        {% if request.user.is_staff %}
        <div class="row">
          <a class=" btn btn-warning col-md mt-2" href="{% url 'inscriptions:update' inscription.id %}">Editar </a>
          <div class="col-md-1"></div>
          <a class=" btn btn-warning col-md mt-2" href="{% url 'grades:update' inscription.id %}"> Calificar</a>
        </div>
        {% endif %}
        {% if request.user|has_group:"profesores" and request.user.id == inscription.course.teacher.id %}
          <a class=" btn btn-warning col-md mt-2" href="{% url 'grades:update' inscription.id %}"> Calificar</a>
        {% endif %}
      </div>
    </div>
  </div>
</main>
{% endblock %}
